Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class PSVIDocumentImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.CoreDocumentImpl
                      weblogic.apache.xerces.dom.DocumentImpl
                          weblogic.apache.xerces.dom.PSVIDocumentImpl

All Implemented Interfaces:
  Serializable, Cloneable, Document, DocumentEvent, EventTarget, DocumentLS, Node, NodeList, org.w3c.dom.ranges.DocumentRange, org.w3c.dom.traversal.DocumentTraversal

Deprecated. please use JDK supplied XML parsers and transformers

    public class PSVIDocumentImpl

extends DocumentImpl

Our own document implementation, which knows how to create an element with PSVI information.

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.DocumentImpl
`eventListeners, iterators, mutationEvents, ranges`

Fields inherited from class weblogic.apache.xerces.dom.CoreDocumentImpl
`actualEncoding, allowGrammarAccess, CDATA, changes, COMMENTS, DEFAULTS, docElement, docType, domNormalizer, DTNORMALIZATION, encoding, ENTITIES, errorChecking, fConfiguration, fDocumentURI, features, fEntityResolver, fErrorHandlerWrapper, fGrammar, fSymbolTable, identifiers, NAMESPACES, SPLITCDATA, standalone, userData, VALIDATION, version`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`PSVIDocumentImpl()` Deprecated. Create a document.
`PSVIDocumentImpl(DocumentType doctype)` Deprecated. For DOM2 support.

Method Summary
`Attr` | `createAttributeNS(String namespaceURI, String qualifiedName)` Deprecated. Create an attribute with PSVI information
`Attr` | `createAttributeNS(String namespaceURI, String qualifiedName, String localName)` Deprecated. Create an attribute with PSVI information
`Element` | `createElementNS(String namespaceURI, String qualifiedName)` Deprecated. Create an element with PSVI information
`Element` | `createElementNS(String namespaceURI, String qualifiedName, String localpart)` Deprecated. Create an element with PSVI information

Methods inherited from class weblogic.apache.xerces.dom.DocumentImpl
`addEventListener, cloneNode, copyEventListeners, createEvent, createNodeIterator, createNodeIterator, createRange, createTreeWalker, createTreeWalker, dispatchAggregateEvents, dispatchAggregateEvents, dispatchEvent, dispatchEventToSubtree, getEventListeners, getImplementation, removeEventListener, saveEnclosingAttr, setEventListeners`

Methods inherited from class weblogic.apache.xerces.dom.CoreDocumentImpl
`abort, adoptNode, canSetNormalizationFeature, changed, changes, clone, cloneNode, copyConfigurationProperties, createAttribute, createCDATASection, createComment, createDocumentFragment, createDocumentType, createElement, createElementDefinition, createEntity, createEntityReference, createNotation, createProcessingInstruction, createTextNode, finalize, getActualEncoding, getAsync, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getErrorChecking, getErrorHandler, getIdentifier, getIdentifiers, getNodeName, getNodeType, getNormalizationFeature, getOwnerDocument, getStandalone, getStrictErrorChecking, getTextContent, getUserData, getUserData, getVersion, importNode, insertBefore, isKidOK, isNormalizeDocRequired, isXMLName, load, loadXML, normalizeDocument, putIdentifier, removeChild, removeIdentifier, renameNode, replaceChild, saveXML, setActualEncoding, setAsync, setDocumentURI, setEncoding, setErrorChecking, setErrorHandler, setNormalizationFeature, setStandalone, setStrictErrorChecking, setTextContent, setUserData, setUserData, setVersion`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, hasChildNodes, isEqualNode, item, normalize, setReadOnly, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, compareTreePosition, dispatchEvent, getAttributes, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Document
`getDomConfig, getInputEncoding, getXmlEncoding, getXmlStandalone, getXmlVersion, setXmlStandalone, setXmlVersion`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getAttributes, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getParentNode, getPrefix, getPreviousSibling, getUserData, hasAttributes, hasChildNodes, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, setNodeValue, setPrefix, setUserData`

Constructor Detail

### PSVIDocumentImpl

    public PSVIDocumentImpl()

  Deprecated.
  Create a document.

### PSVIDocumentImpl

    public PSVIDocumentImpl(DocumentType doctype)

  Deprecated.
  For DOM2 support. The createDocument factory method is in DOMImplementation.

Method Detail

### createElementNS

    public Element createElementNS(String namespaceURI,
                                   String qualifiedName)
                            throws DOMException

  Deprecated.
  Create an element with PSVI information

  Specified by:
    `createElementNS` in interface `Document`
  Overrides:
    `createElementNS` in class `CoreDocumentImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the element to create.
    `qualifiedName` - The qualified name of the element type to instantiate.
  Returns:
    Element A new Element object with the following attributes:
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

### createElementNS

    public Element createElementNS(String namespaceURI,
                                   String qualifiedName,
                                   String localpart)
                            throws DOMException

  Deprecated.
  Create an element with PSVI information

  Overrides:
    `createElementNS` in class `CoreDocumentImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the element to create.
    `qualifiedName` - The qualified name of the element type to instantiate.
  Returns:
    Element A new Element object with the following attributes:
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

### createAttributeNS

    public Attr createAttributeNS(String namespaceURI,
                                  String qualifiedName)
                           throws DOMException

  Deprecated.
  Create an attribute with PSVI information

  Specified by:
    `createAttributeNS` in interface `Document`
  Overrides:
    `createAttributeNS` in class `CoreDocumentImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the attribute to create. When it is null or an empty string, this method behaves like createAttribute.
    `qualifiedName` - The qualified name of the attribute to instantiate.
  Returns:
    Attr A new Attr object.
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

### createAttributeNS

    public Attr createAttributeNS(String namespaceURI,
                                  String qualifiedName,
                                  String localName)
                           throws DOMException

  Deprecated.
  Create an attribute with PSVI information

  Overrides:
    `createAttributeNS` in class `CoreDocumentImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the attribute to create. When it is null or an empty string, this method behaves like createAttribute.
    `qualifiedName` - The qualified name of the attribute to instantiate.
    `localName` - The local name of the attribute to instantiate.
  Returns:
    Attr A new Attr object.
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD